const _Http = getApp().globalData.http;
Component({
    properties: {
        disabled: Boolean,
        path: String,
    },
    data: {
        list: [],
        sys_enterpriseid: "",
        content: {
            "nacache": true,
            "pageNumber": 1,
            "pageSize": 10,
            "pageTotal": 1,
            "total": null,
            "where": {
                "condition": "",
                "workaddress": 0
            }
        },
    },
    methods: {
        getList(id, init) {
            let content = this.data.content;
            content.sys_enterpriseid = id;
            console.log("id", id)
            if (init) {
                content.pageNumber = 1
                content.pageTotal = 1
            }
            _Http.basic({
                "id": "20221022165503",
                content
            }).then(res => {
                console.log("联系人", res)
                if (res.msg != '成功') return wx.showToast({
                    title: res.data,
                    icon: "none"
                })
                this.setData({
                    list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
                    "content.pageNumber": res.pageNumber + 1,
                    "content.pageSize": res.pageSize,
                    "content.pageTotal": res.pageTotal,
                    "content.total": res.total,
                    sys_enterpriseid: id
                })
            })
        },
        toSearch() {
            wx.navigateTo({
                url: '/packageA/setclient/modules/contacts/search/index?perams=' + JSON.stringify({
                    sys_enterpriseid: this.data.sys_enterpriseid,
                    "nacache": true,
                    "pageNumber": 1,
                    "pageSize": 20,
                    "pageTotal": 1,
                    "total": 0,
                    "where": {
                        "condition": "",
                        "workaddress": 0
                    }
                }),
            })
        },
        /* 修改总数 */
        changeTotal() {
            this.setData({
                "content.total": this.data.content.total - 1
            })
        }
    }
})